import { runLexicalPopulate } from "./field/lexical-populate-shared.js";
import { inlineImageVisitor } from "./field/plugins/inline-image-plugin/populate.js";
import { linkVisitor } from "./field/plugins/link-plugin/populate.js";
function lexicalEditorServer(options) {
    const visitors = options.visitors ?? [
        inlineImageVisitor,
        linkVisitor
    ];
    return async (ctx)=>{
        await runLexicalPopulate({
            client: options.getClient(),
            readContext: ctx.readContext,
            visitors,
            values: [
                ctx.value
            ]
        });
    };
}
export { defaultEditorConfig } from "./field/config/default.js";
export { inlineImageVisitor, lexicalEditorServer, linkVisitor };
